---
title: "getMessageGetter"
parent: "@messageformat/react"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# getMessageGetter() function

Given a `MessageContext` instance, returns a message getter function, which may have a preset root id path, locale, and/or base parameters for message functions.

The returned function takes two parameters `(msgId, msgParams)`<!-- -->, which will extend any values set by the hook's arguments.

<b>Signature:</b>

```typescript
export declare function getMessageGetter(context: MessageContext, rootId?: string | string[], { baseParams, locale }?: MessageGetterOptions): (id?: string | string[] | undefined, params?: any) => any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [MessageContext](./react.messagecontext.md) | The <code>MessageContext</code> instance |
|  rootId | string \| string\[\] | The key or key path of the message or message object. If empty or <code>[]</code>, matches the root of the messages object |
|  { baseParams, locale } | MessageGetterOptions |  |

<b>Returns:</b>

(id?: string \| string\[\] \| undefined, params?: any) =&gt; any

